# $Revision: 1.4 $, $Date: 2004/04/19 22:22:14 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Date
%define pnam	Japanese-Holiday
Summary:	Date::Japanese::Holiday - calculate dates in the Japanese-Holiday calendar
Summary(pl):	Date::Japanese::Holiday - obliczanie daty wg japoskiego kalendarza wit
Name:		perl-Date-Japanese-Holiday
Version:	0.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6b0bed78ad2127afe06f01f346caa36e
BuildRequires:	perl-Date-Simple
BuildRequires:	perl-Time-modules
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Date::Japanese::Holiday handles conversion between Japanese Holiday and
Gregorian calendar.

%description
Date::Japanese::Holiday obsuguje konwersj dat pomidzy japoskimi
switami a kalendarzem gregoriaskim.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Date/Japanese/Holiday.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Japanese-Holiday.spec,v $
Revision 1.4  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.3  2004/04/11 23:11:07  qboosh
- cosmetics, doc

Revision 1.2  2004/04/11 21:48:36  agaran
- noarch, pl descr, converted perl() in BR to package names

Revision 1.1  2004/04/11 16:58:08  agaran
new spec
